Bug 862411 - cmake/ctest code coverage not compatible with gcc 4.7
Summary: cmake/ctest code coverage not compatible with gcc 4.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: 17
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-02 19:52 UTC by Torsten Rohlfing
Modified: 2012-10-10 17:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-10 17:29:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Torsten Rohlfing 2012-10-02 19:52:09 UTC
Description of problem:

CMake 2.8.8 is the latest version available for F17 through the Fedora repos. This version is incompatible with code coverage information generated with gcc 4.7, which is the compiler version available in F17.

The upstream bug:

http://public.kitware.com/Bug/view.php?id=13121

Has been fixed in cmake 2.8.9; it would be nice to have this pushed for F17 also, to have a consistent build/test environment for the distribution.

Comment 1 Fedora Update System 2012-10-02 20:05:01 UTC
cmake-2.8.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cmake-2.8.9-1.fc17

Comment 2 Fedora Update System 2012-10-03 03:22:08 UTC
Package cmake-2.8.9-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-2.8.9-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15257/cmake-2.8.9-1.fc17
then log in and leave karma (feedback).

Comment 3 Torsten Rohlfing 2012-10-10 17:29:54 UTC
Yay, update is here and works as expected. Thanks for the super-fast turnaround time!!


Note You need to log in before you can comment on or make changes to this bug.